LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
07661Bug reports[All Projects] Data Entry (non public)public2013-03-13 18:222013-05-17 14:24
Reporteraages 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary07661: Big 'R' in title-field disappers when saving title
DescriptionA bit peculiar problem with the title field appears, when I use the letter 'R' in the title of the survey (and this happens only with big ‘R’). The ‘R’ disappears when I save the title and viewing it. But when I enter edit-mode, it is still there. And is also shown correct when using the survey. I assume this is a bug?
Additional InformationServer charset: UTF-8 Unicode (utf8)
norwegian
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID130311
Browsergoogle chrome
Database & DB-VersionMySQL 5.1.68-cll
Operating System (Server)LINUX (LAMP)
Webserver software & versionLinux cpanel
PHP VersionPHP 5,4
Attached Filesdocx file icon php-info.docx [^] (83,372 bytes) 2013-03-14 00:36

- Relationships
related to 07840closedc_schmitz Short Text responses not displaying properly in .csv export 

-  Notes
User avatar (24688)
c_schmitz (administrator)
2013-03-13 23:23
edited on: 2013-03-13 23:29

It is not a bug but a problem with your PHP installation, to be detailed: The PCRE library behind it. It would be interesting to know what PCRE version you have installed. Can you attach your PHPInfo, please?

User avatar (24689)
aages (reporter)
2013-03-14 00:36

Yes, it is
PCRE Library Version: 6.6 06-Feb-2006
User avatar (24690)
DenisChenu (developer)
2013-03-14 09:33
edited on: 2013-03-14 09:35

Maybe test PCRE version for ~R~u ?

Mine is 8.02 2010-03-19

aages : the cpanel is not the "real" server, maybe you can view with your hoster to update PCRE .

PHE 5.4 is young, mine is 5.3.3 and PCRE is up to date.

Denis
Maybe some idea here: http://www.bigboylemonade.com/pcre-version-problem-on-cpanel [^]

User avatar (24691)
c_schmitz (administrator)
2013-03-14 22:25

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11889 [^]
User avatar (24692)
c_schmitz (administrator)
2013-03-14 22:29

This is the official PHP version<->PCRE version list:

http://www.php.net/manual/en/pcre.installation.php [^]

aages, clearly your server provider has their server misconfigured. The patch has a workaround, though.
User avatar (24701)
aages (reporter)
2013-03-15 15:23

Thanks for good information!
I will contact my ISP about this.
User avatar (24714)
c_schmitz (administrator)
2013-03-17 12:12

New version released.
User avatar (24729)
c_schmitz (administrator)
2013-03-17 15:40

Fix committed to 2.05 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=11923 [^]

- Related Changesets
LimeSurvey: master 7914709b
Timestamp: 2013-03-14 21:25:37
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07661: Capital 'R' missing in certain title elements in administration
mod - application/helpers/common_helper.php Diff ] File ]
LimeSurvey: 2.05 feb89902
Timestamp: 2013-03-14 21:25:37
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 07661: Capital 'R' missing in certain title elements in administration
mod - application/helpers/common_helper.php Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-03-13 18:22 aages New Issue
2013-03-13 18:22 aages File Added: limesurvey_survey_43253 (1).lss
2013-03-13 23:23 c_schmitz Note Added: 24688
2013-03-13 23:23 c_schmitz Assigned To => c_schmitz
2013-03-13 23:23 c_schmitz Status new => feedback
2013-03-13 23:23 c_schmitz File Deleted: limesurvey_survey_43253 (1).lss
2013-03-13 23:29 c_schmitz Note Edited: 24688 View Revisions
2013-03-14 00:36 aages File Added: php-info.docx
2013-03-14 00:36 aages Note Added: 24689
2013-03-14 00:36 aages Status feedback => assigned
2013-03-14 09:33 DenisChenu Note Added: 24690
2013-03-14 09:35 DenisChenu Note Edited: 24690 View Revisions
2013-03-14 22:25 c_schmitz Changeset attached => LimeSurvey master 7914709b
2013-03-14 22:25 c_schmitz Note Added: 24691
2013-03-14 22:25 c_schmitz Resolution open => fixed
2013-03-14 22:29 c_schmitz Note Added: 24692
2013-03-14 22:29 c_schmitz Status assigned => resolved
2013-03-14 22:29 c_schmitz Fixed in Version => 2.00+
2013-03-15 15:23 aages Note Added: 24701
2013-03-17 12:12 c_schmitz Note Added: 24714
2013-03-17 12:12 c_schmitz Status resolved => closed
2013-03-17 15:40 c_schmitz Changeset attached => LimeSurvey 2.05 feb89902
2013-03-17 15:40 c_schmitz Note Added: 24729
2013-05-17 14:24 c_schmitz Relationship added related to 07840


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker